> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Address Labels

> Returns a list of addresses that match the specified search term.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/address/labels/search
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/address/labels/search:
    get:
      tags:
        - Address Information
      summary: Search Address Labels
      description: Returns a list of addresses that match the specified search term.
      operationId: searchAddressLabels
      parameters:
        - name: networks
          required: false
          in: query
          description: >-
            Comma-separated list of blockchain networks to filter addresses by
            (e.g., ethereum, solana)
          schema:
            type: array
            items:
              type: string
        - name: addresses
          required: false
          in: query
          description: >-
            Comma-separated list of blockchain addresses to filter (e.g., 0x123,
            0x456)
          schema:
            type: array
            items:
              type: string
        - name: searchString
          required: false
          in: query
          description: Substring to search for in addresses or labels (case insensitive)
          schema:
            type: string
        - name: includeNft
          required: false
          in: query
          description: Include NFT addresses in the search results
          schema:
            default: false
            type: boolean
        - name: validateSearch
          required: true
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: List of addresses that match the specified search term.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AddressDetails'
components:
  schemas:
    AddressDetails:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        ecosystem:
          type: string
        name_tag:
          type: string
        category:
          type: string
        address_role:
          type: string
        entity:
          type: string
        attributes:
          type: object
        tags:
          type: array
          items:
            type: string
        entity_icon_url:
          type: string
        malicious:
          type: boolean
        is_validator:
          type: boolean
      required:
        - address
        - network
        - ecosystem
        - malicious
        - is_validator
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````